<#-- Declare variables -->
<#-- @ftlvariable name="img_logo" type="java.lang.String" -->
<#-- @ftlvariable name="report_date" type="java.util.Date" -->
<#-- @ftlvariable name="group" type="java.lang.String" -->
<#-- @ftlvariable name="headers" type="java.util.List<se.prediktera.breeze.frontend.common.report.FreemarkerReportCreator.TableHeader>" -->
<#-- @ftlvariable name="rows" type="java.util.List<java.util.List<se.prediktera.breeze.frontend.common.report.FreemarkerReportCreator.TableCell>>" -->
<#-- @ftlvariable name="workflow" type="java.lang.String" -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>${workflow} - ${group} ${report_date} - Breeze Report</title>
    <style>
        <#include "assets/bootstrap.min.css" parse=false>
    </style>
</head>
<body>
<div class="container mt-5">
    <div class="row align-items-center mb-4">
        <div class="col-md-8">
            <h1>${workflow} - ${group}</h1>
            <small class="text-muted">Created ${report_date}</small>
        </div>
        <div class="col-md-4 text-right">
            <img src="${img_logo}" alt="Company Logo">
        </div>
    </div>

    <table id="sortable-table" class="table table-striped table-hover table-bordered">
        <thead>
        <tr>
            <#list headers as header>
                <th scope="col" data-sortable="${header.sortable}" colspan="${header.colspan}">
                    ${header.name}
                </th>
            </#list>
        </tr>
        </thead>
        <tbody>
        <#list rows as row>
            <tr>
                <#list row as cell>
                    <td data-value="${cell.sortValue}">
                        <#if cell.type == "thumbnail">
                            <img src="${cell.value}" alt="Thumbnail" width="50" height="50" class="img-thumbnail"
                                 data-bs-toggle="popover" data-bs-placement="right" data-bs-trigger="click"
                                 data-bs-html="true" data-bs-content="<img src='${cell.value}' alt='Full Resolution Image' style='max-width: 100%; max-height: 300px;' />">
                        <#elseif cell.type == "classification">
                            ${cell.value}
                            <div style="background-color: ${cell.color}; width: 50px; height: 50px;"></div>
                        <#elseif cell.type == "legend">
                            ${cell.value}
                            <div class="gradient-legend" style="background: linear-gradient(to top<#list cell.colorScale as color>, ${color}<#if cell.colorScale_index != cell.colorScale?size - 1>, </#if></#list>);">
                                <div class="gradient-legend-min">${cell.value.min}</div>
                                <div class="gradient-legend-max">${cell.value.max}</div>
                            </div>
                        <#else>
                            ${cell.value}
                        </#if>
                    </td>
                </#list>
            </tr>
        </#list>
        </tbody>
    </table>
</div>
<script type="text/javascript">
    <#include "assets/tablesort.min.js" parse=false>
    <#include "assets/popper.min.js" parse=false>
    <#include "assets/bootstrap.bundle.min.js" parse=false>
</script>
<script>
    document.addEventListener("DOMContentLoaded", function () {
        new Tablesort(document.getElementById("sortable-table"));

        // Initialize popovers
        var popoverTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="popover"]'));
        var popoverList = popoverTriggerList.map(function (popoverTriggerEl) {
            return new bootstrap.Popover(popoverTriggerEl);
        });

        // Close other popovers when a new one is shown
        popoverTriggerList.forEach(function (popoverTriggerEl) {
            popoverTriggerEl.addEventListener('show.bs.popover', function () {
                popoverList.forEach(function (popoverInstance) {
                    if (popoverInstance._element !== popoverTriggerEl) {
                        popoverInstance.hide();
                    }
                });
            });
        });
    });
</script>
</body>
</html>
